Package org.apache.storm.hive.trident

## Class HiveState

- java.lang.Object
- - org.apache.storm.hive.trident.HiveState

- All Implemented Interfaces:
    `State`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class HiveState
      extends Object
      implements State

  Deprecated, for removal: This API element is subject to removal in a future version.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HiveState​(HiveOptions options)` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginCommit​(Long txId)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `cleanup()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `commit​(Long txId)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `prepare​(Map<String,​Object> conf, IMetricsContext metrics, int partitionIndex, int numPartitions)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `updateState​(List<TridentTuple> tuples, TridentCollector collector)` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HiveState

          public HiveState​(HiveOptions options)

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### beginCommit

          public void beginCommit​(Long txId)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `beginCommit` in interface `State`

    - #### commit

          public void commit​(Long txId)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `commit` in interface `State`

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              IMetricsContext metrics,
                              int partitionIndex,
                              int numPartitions)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### updateState

          public void updateState​(List<TridentTuple> tuples,
                                  TridentCollector collector)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### cleanup

          public void cleanup()

      Deprecated, for removal: This API element is subject to removal in a future version.